Foreman - Bug #31258

puppetrun removal migration shouldn't fail even if the setting was set manually
11/04/2020 03:43 PM - Han Boetes

Status: Closed
Priority: Normal
Assignee: Tomer Brisker
Category: DB migrations
Target version: 2.21
Difficulty: Fixed in Releases: 2.21,23.0
Triaged: No Found in Releases: 2.2.0
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/g125
Description

During the db:migrate | ran into this problem:

# foreman-rake db:migrate --trace

** Invoke db:migrate (first_time)

** Invoke db:load_config (first_time)

** Invoke environment (first_time)

** Execute environment

** Execute db:load_config

** Invoke plugin:refresh_migrations (first_time)
** Invoke environment

** Execute plugin:refresh_migrations

** Execute db:migrate

== 20200602155700 DropPuppetRun: migrating ====================================
rake aborted!

StandardError: An error has occurred, this and all later migrations canceled:

Setting: :Puppet is marked as readonly
/opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.1/1ib/active_record/persistence.rb
:963:1in " _raise_readonly_record_error'
/opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.1/1lib/active_record/persistence.rb
:532:1in “destroy'
/opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.1/1lib/active_record/callbacks.rb:3
09:in "block in destroy'
/opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.1/1ib/active_support/callbacks.rb
:101:in “run_callbacks'
/opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.1/1lib/active_support/callbacks.rb
:825:in " _run_destroy_callbacks'
/opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.1/1ib/active_record/callbacks.rb:3
09:in “destroy'
/opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.1/1lib/active_record/transactions.r
b:310:in “block in destroy'
/opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.1/1ib/active_record/transactions.r
b:375:in “block in with_transaction_returning_status'
/opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.1/1ib/active_record/connection_ada
pters/abstract/database_statements.rb:278:in "“transaction'
/opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.1/1ib/active_record/transactions.r
b:212:in “transaction'
/opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.1/1ib/active_record/transactions.r
b:366:in “with_transaction_returning_status'
/opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.1/1ib/active_record/transactions.r
b:310:in “destroy'
/opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.1/1ib/active_record/relation.rb:54
4:in “each'
/opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.1/1ib/active_record/relation.rb:54
4:in “destroy_all'
/usr/share/foreman/db/migrate/20200602155700_drop_puppet_run.rb:3:in “up'
/opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.1/1ib/active_record/migration.rb:8
3l:in “exec_migration’
/opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.1/1ib/active_record/migration.rb:8
12:in "block (2 levels) in migrate'

/opt/rh/rh-ruby25/root/usr/share/ruby/benchmark.rb:293:in ‘measure'
/opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.1/1ib/active_record/migration.rb:8
11:in "block in migrate'’
/opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.1/1ib/active_record/connection_ada
pters/abstract/connection_pool.rb:471:in “with_connection'
/opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.1/1ib/active_record/migration.rb:8
10:in ‘migrate'
/opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.1/1lib/active_record/migration.rb:1
002:in "migrate’
/opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.1/1ib/active_record/migration.rb:1
310:in "block in execute_migration_in_transaction’
/opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.1/1ib/active_record/migration.rb:1
361:1in "block in ddl_transaction’'
/opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.1/1ib/active_record/connection_ada
pters/abstract/database_statements.rb:280:in ‘block in transaction'
/opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.1/1lib/active_record/connection_ada
pters/abstract/transaction.rb:280:in ‘block in within_new_transaction'
/opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.1/1ib/active_support/concurrency/
load_interlock_aware_monitor.rb:26:in "block (2 levels) in synchronize'
/opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.1/1ib/active_support/concurrency/
load_interlock_aware_monitor.rb:25:in “handle_interrupt'
/opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.1/1ib/active_support/concurrency/
load_interlock_aware_monitor.rb:25:in "block in synchronize'
/opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.1/1ib/active_support/concurrency/
load_interlock_aware_monitor.rb:21:in "handle_interrupt'
/opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.1/1ib/active_support/concurrency/
load_interlock_aware_monitor.rb:21:in "synchronize'
/opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.1/1ib/active_record/connection_ada
pters/abstract/transaction.rb:278:in “within_new_transaction'
/opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.1/1ib/active_record/connection_ada
pters/abstract/database_statements.rb:280:in ‘transaction'
/opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.1/1lib/active_record/transactions.r
b:212:in “transaction'
/opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.1/1ib/active_record/migration.rb:1
36l:in “ddl_transaction'’
/opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.1/1ib/active_record/migration.rb:1
309:in “execute_migration_in_transaction'
/opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.1/1ib/active_record/migration.rb:1
281l:in “block in migrate_without_lock'
/opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.1/1lib/active_record/migration.rb:1
280:in “each’
/opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.1/1ib/active_record/migration.rb:1
280:in "migrate_without_lock'
/opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.1/1ib/active_record/migration.rb:1
229:in “block in migrate'
/opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.1/1ib/active_record/migration.rb:1
382:in “with_advisory_lock'
/opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.1/1lib/active_record/migration.rb:1
229:in "migrate’
/opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.1/1ib/active_record/migration.rb:1
06l:in “up'
/opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.1/1ib/active_record/migration.rb:1
036:in "migrate'’
/opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.1/1ib/active_record/tasks/database
_tasks.rb:238:in "migrate'
/opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.1/1lib/active_record/railties/datab
ases.rake:86:1in “block (3 levels) in <top (required)>'
/opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.1/1ib/active_record/railties/datab
ases.rake:84:in "each'
/opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.1/1ib/active_record/railties/datab
ases.rake:84:in “block (2 levels) in <top (required)>'
/opt/rh/rh-ruby25/root/usr/share/gems/gems/rake-12.3.0/1lib/rake/task.rb:251:in "block in execute'
/opt/rh/rh-ruby25/root/usr/share/gems/gems/rake-12.3.0/1lib/rake/task.rb:251:in “each'
/opt/rh/rh-ruby25/root/usr/share/gems/gems/rake-12.3.0/1ib/rake/task.rb:251:in "execute'
/opt/rh/rh-ruby25/root/usr/share/gems/gems/rake-12.3.0/1ib/rake/task.rb:195:in “block in invoke_wi
th_call_chain'

/opt/rh/rh-ruby25/root/usr/share/ruby/monitor.rb:226:in ‘mon_synchronize'
/opt/rh/rh-ruby25/root/usr/share/gems/gems/rake-12.3.0/1ib/rake/task.rb:188:in " invoke_with_call_c
hain'

/opt/rh/rh-ruby25/root/usr/share/gems/gems/rake-12.3.0/1ib/rake/task.rb:181:in " invoke'
/opt/rh/rh-ruby25/root/usr/share/gems/gems/rake-12.3.0/1lib/rake/application.rb:160:in " invoke_task
L}

/opt/rh/rh-ruby25/root/usr/share/gems/gems/rake-12.3.0/1ib/rake/application.rb:116:in “block (2 le
vels) in top_level'
/opt/rh/rh-ruby25/root/usr/share/gems/gems/rake-12.3.0/1lib/rake/application.rb:116:in “each’
/opt/rh/rh-ruby25/root/usr/share/gems/gems/rake-12.3.0/1ib/rake/application.rb:116:in “block in to
p_level’

/opt/rh/rh-ruby25/root/usr/share/gems/gems/rake-12.3.0/1ib/rake/application.rb:125:in “run_with_th
reads'

/opt/rh/rh-ruby25/root/usr/share/gems/gems/rake-12.3.0/1lib/rake/application.rb:110:in "top_level'
/opt/rh/rh-ruby25/root/usr/share/gems/gems/rake-12.3.0/1ib/rake/application.rb:83:in “block in run
T

/opt/rh/rh-ruby25/root/usr/share/gems/gems/rake-12.3.0/1ib/rake/application.rb:186:in " standard_ex
ception_handling'
/opt/rh/rh-ruby25/root/usr/share/gems/gems/rake-12.3.0/1ib/rake/application.rb:80:in ‘run'

/opt/rh/rh-ruby25/root/usr/share/gems/gems/rake-12.

.0/exe/rake:27:in " <top

(required) >'

/opt/rh/rh-ruby25/root/usr/bin/rake:23:in "~ load'
/opt/rh/rh-ruby25/root/usr/bin/rake:23:1in " <main>'

Caused by:

ActiveRecord: :ReadOnlyRecord: Setting::Puppet is marked as readonly
/opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.1/1lib/active_record/persistence.rb
:963:1in
/opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.1/1ib/active_record/persistence.rb

'_raise_readonly_record_error'

:532:in “destroy'
/opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.1/1ib/active_record/callbacks.rb:3
09:in "block in destroy'
/opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.1/1lib/active_support/callbacks.rb
:101:in “run_callbacks'
/opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.1/1ib/active_support/callbacks.rb
:825:1in
/opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.1/1ib/active_record/callbacks.rb:3

‘_run_destroy_callbacks'

09:in “destroy'
/opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.
p:310:in “block in destroy'
/opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.
b:375:in “block in with_transaction_returning_status'

1/1ib/active_record/transactions.r
1/1ib/active_record/transactions.r
/opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.1/1lib/active_record/connection_ada
pters/abstract/database_statements.rb:278:in “transaction'
/opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.1/1ib/active_record/transactions.r
b:212:in
/opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.
b:366:in “with_transaction_returning_status'
/opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.
b:310:in “destroy'
/opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.

‘transaction'
1/1ib/active_record/transactions.r

1/1ib/active_record/transactions.r

1/1lib/active_record/relation.rb:54
4:in “each'
/opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.1/1ib/active_record/relation.rb:54
4:in “destroy_all'
/usr/share/foreman/db/migrate/20200602155700_drop_puppet_run.rb:
/opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.
31:in ‘exec_migration'
/opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.
12:in “block (2 levels)

/opt/rh/rh-ruby25/root/usr/share/ruby/benchmark.rb:293:in ‘measure'

3:in “up'

1/1lib/active_record/migration.rb:8

1/1lib/active_record/migration.rb:8
in migrate'

/opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.1/1ib/active_record/migration.rb:8
11:in "block in migrate'’
/opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.1/1ib/active_record/connection_ada
pters/abstract/connection_pool.rb:471:in “with_connection'
/opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.1/1ib/active_record/migration.rb:8
10:in "migrate'
/opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.1/1ib/active_record/migration.rb:1
002:in "migrate'
/opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.1/1lib/active_record/migration.rb:1
310:in "block in execute_migration_in_transaction’
/opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.1/1ib/active_record/migration.rb:1
361l:in “block in ddl_transaction'
/opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.1/1ib/active_record/connection_ada
pters/abstract/database_statements.rb:280:in ‘block in transaction'
/opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.1/1ib/active_record/connection_ada
pters/abstract/transaction.rb:280:in ‘block in within_new_transaction'
/opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.1/1ib/active_support/concurrency/
load_interlock_aware_monitor.rb:26:in "block (2 levels) in synchronize'
/opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.1/1ib/active_support/concurrency/
load_interlock_aware_monitor.rb:25:in "handle_interrupt'
/opt/theforeman/tfm/root/usr/share/gems/gems/activesupport—-6.0.3.1/1lib/active_support/concurrency/
load_interlock_aware_monitor.rb:25:in “block in synchronize'
/opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.1/1ib/active_support/concurrency/
load_interlock_aware_monitor.rb:21:in "handle_interrupt'
/opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.1/1ib/active_support/concurrency/
load_interlock_aware_monitor.rb:21:in "synchronize'
/opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.1/1ib/active_record/connection_ada
pters/abstract/transaction.rb:278:in ‘within_new_transaction'
/opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.1/1ib/active_record/connection_ada
pters/abstract/database_statements.rb:280:in "“transaction'
/opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.1/1ib/active_record/transactions.r
b:212:in "transaction’
/opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.1/1lib/active_record/migration.rb:1
36l:in "ddl_transaction'’

/opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.1/1ib/active_record/migration.rb:1

309:in “execute_migration_in_transaction'

/opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.

281:in “block in migrate_without_lock'

/opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.

280:in “each'

/opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.

280:in "migrate_without_lock'

/opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.

.1/1lib/active_record/migration.
.1/1lib/active_record/migration.
.1/1lib/active_record/migration.

.1/1lib/active_record/migration.

rb:

rb:

rb:

rb:

229:in “block in migrate'
/opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.1/1ib/active_record/migration.rb:1
382:in "with_advisory_lock'
/opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.1/1ib/active_record/migration.rb:1
229:in “migrate'
/opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.1/1lib/active_record/migration.rb:1
061l:in “up'
/opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.1/1ib/active_record/migration.rb:1
036:in "migrate'’
/opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.1/1ib/active_record/tasks/database
_tasks.rb:238:in "migrate’
/opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.1/1ib/active_record/railties/datab
ases.rake:86:in "block (3 levels) in <top (required)>'
/opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.1/1lib/active_record/railties/datab
ases.rake:84:in “each'
/opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.1/1ib/active_record/railties/datab
ases.rake:84:in “block (2 levels) in <top (required)>'
.0/1lib/rake/task.rb:251:in
.0/1lib/rake/task.rb:251:1in
.0/1lib/rake/task.rb:251:in
.0/1lib/rake/task.rb:195:in

/opt/rh/rh-ruby25/root/usr/share/gems/gems/rake-12. "block in execute'
/opt/rh/rh-ruby25/root/usr/share/gems/gems/rake-12.
/opt/rh/rh-ruby25/root/usr/share/gems/gems/rake-12.
/opt/rh/rh-ruby25/root/usr/share/gems/gems/rake-12.
th_call_chain'
/opt/rh/rh-ruby25/root/usr/share/ruby/monitor.rb:226:in ‘mon_synchronize'
/opt/rh/rh-ruby25/root/usr/share/gems/gems/rake-12.3.0/1ib/rake/task.rb:188:1in
hain'
/opt/rh/rh-ruby25/root/usr/share/gems/gems/rake-12.3.0/1ib/rake/task.rb:181:in " invoke'
/opt/rh/rh-ruby25/root/usr/share/gems/gems/rake-12.3.0/1lib/rake/application.rb:160:in " invoke_task

v

“each'
“execute'
"block in invoke_wi

w w w w

“invoke_with_call_c
/opt/rh/rh-ruby25/root/usr/share/gems/gems/rake-12.3.0/1lib/rake/application.rb:116:in “block
vels) in top_level'
/opt/rh/rh-ruby25/root/usr/share/gems/gems/rake-12.3.0/1ib/rake/application.rb:116:in “each’

/opt/rh/rh-ruby25/root/usr/share/gems/gems/rake-12.3.0/1ib/rake/application.rb:116:in “block in to

p_level'

/opt/rh/rh-ruby25/root/usr/share/gems/gems/rake-12.3.0/1ib/rake/application.rb:125:in “run_with_th

reads'

/opt/rh/rh-ruby25/root/usr/share/gems/gems/rake-12.3.0/1ib/rake/application.rb:110:in ‘top_level'

/opt/rh/rh-ruby25/root/usr/share/gems/gems/rake-12.3.0/1lib/rake/application.rb:83:in "block in run

v

/opt/rh/rh-ruby25/root/usr/share/gems/gems/rake-12.3.0/1ib/rake/application.rb:186:in " standard_ex

ception_handling'
/opt/rh/rh-ruby25/root/usr/share/gems/gems/rake-12.3.0/1ib/rake/application.rb:80:in “run'
/opt/rh/rh-ruby25/root/usr/share/gems/gems/rake-12.3.0/exe/rake:27:in ‘<top (required)>"'
/opt/rh/rh-ruby25/root/usr/bin/rake:23:in " load'

/opt/rh/rh-ruby25/root/usr/bin/rake:23:in "<main>'

Tasks: TOP => db:migrate

Where | have this slightly outdated config, now that we mention it: updating those files is a major pain, perhaps running the
foreman-installer before running vimdiff would be better?

### File managed with puppet ###
## Module: 'foreman'

:unattended: true
:require_ssl: true
:locations_enabled: false
:organizations_enabled: false
:puppetrun: false

# The following values are used for providing default settings during db migrate
:oauth_active: true

:oauth_map_users: false

:oauth_consumer_key: XXXXXXXXXXXXXXXXXX

:oauth_consumer_secret: XXXXXXXXXXXXXXXX

# Websockets

:websockets_encrypt: true

:websockets_ssl_key: /etc/puppetlabs/puppet/ssl/private_keys/theforeman.example.com.pem
:websockets_ssl_cert: /etc/puppetlabs/puppet/ssl/certs/theforeman.example.com.pem

# SSL-settings

:ssl_certificate: /etc/puppetlabs/puppet/ssl/certs/theforeman.example.com.pem
:ssl_ca_file: /etc/puppetlabs/puppet/ssl/certs/ca.pem

:ssl_priv_key: /etc/puppetlabs/puppet/ssl/private_keys/theforeman.example.com.pem

# HSTS setting
:hsts_enabled: true

# Log settings for the current environment can be adjusted by adding them
# here. For example, if you want to increase the log level.
:logging:
:level: info
:production:
:type: file
:layout: pattern

# Individual logging types can be toggled on/off here
:loggers:

# Foreman telemetry has three destinations: prometheus, statsd and rails log.
ctelemetry:

# prefix for all metrics

:prefix: 'fm_rails'

# prometheus endpoint is at /metrics
# warning: ruby client library currently does not supprt multi-process web servers
:prometheus:

:enabled: false
# works with statsd_exporter too, use the rake task to generate config
:statsd:

:enabled: false

# IP and port (do not use DNS)

thost: '127.0.0.1:8125"

# one of 'statsd', 'statsite' or 'datadog'

:protocol: 'statsd'
# Rails logs end up in logger named 'telemetry' when enabled
:logger:

:enabled: false

# logging level as in Logger::LEVEL

:level: 'DEBUG'

:dynflow:
:pool_size: 5
:redis_url: redis://localhost:6379/6

:railils_cache_store:
ctype: file

# Configure reverse proxy headers

:ssl_client_dn_env: HTTP_SSL_CLIENT_S_DN

:ssl_client_verify_env: HTTP_SSL_CLIENT_VERIFY
:ssl_client_cert_env: HTTP_SSIL_CLIENT_CERT
rauthorize_login_delegation: true
rauthorize_login_delegation_auth_source_user_autocreate: External

| got support from tbrisker on freenode and we had this discussion:

16:02 tbrisker| Han: delete line 10

16:02 tbrisker| Han: you can also delete lines 8-9 while there, they have no affect for a while
now :)

16:03 tbrisker| Han: did you upgrade using the installer?

16:04 Han| No I followed the manual on upgrading. But managing those diffs from the new con

fig formats is a pain. It's not explained at all.

16:05 Han| Yay! the migrate pulled through! Thanks!

16:07 tbrisker| Han: i think the installer should update that file for you, normally you wouldn'
t need to manual edit it

16:08 tbrisker| Han: can you open an issue for this though? the migration shouldn't fail anyways
even if the setting was set manually

16:08 Han| The manual tells me to run the installer after the vimdiff steps.

16:08 Han| Sure. Gladly.

Related issues:
Related to Foreman - Feature #29993: Remove puppetrun functionality Closed

Associated revisions

Revision 801761 - 11/06/2020 11:55 AM - Tomer Brisker
Fixes #31258 - Don't fail migration if setting is hardcoded

If the puppetrun setting has been hardcoded in settings.yaml, it will be
marked as readonly causing the migration attempting to delete it to

fail. Since settings have no associations and we don't need callbacks to
run we can use “delete’ instead of "destroy" to trigger an sql query
deleting it.

History

#1 - 11/04/2020 03:49 PM - Tomer Brisker
- Category set to Web Interface
- Target version set to 2.2.1

- Fixed in Releases deleted (2.2.1)
#2 - 11/04/2020 04:10 PM - The Foreman Bot
- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/8125 added

#3 - 11/06/2020 11:55 AM - Ewoud Kohl van Wijngaarden
- Related to Feature #29993: Remove puppetrun functionality added

#4 - 11/06/2020 11:55 AM - The Foreman Bot
- Fixed in Releases 2.4.0 added

#5 - 11/06/2020 12:01 PM - Tomer Brisker
- Status changed from Ready For Testing to Closed

Applied in changeset foreman|e801f761eb3e709a0adc7a6e6d86f514b2f919dd.

#6 - 11/08/2020 01:31 PM - Tomer Brisker
- Fixed in Releases 2.2.1, 2.3.0 added
- Fixed in Releases deleted (2.4.0)

#7 - 11/12/2020 02:37 PM - Tomer Brisker

- Category changed from Web Interface to DB migrations
#8 - 11/12/2020 02:38 PM - Tomer Brisker

- Subject changed from the migration shouldn't fail anyways even if the setting was set manually to puppetrun removal migration shouldn't fail even if
the setting was set manually
